OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPLCAF
PDataStd

# PDataStd_VArrayNodeOfFieldOfHArray1OfHArray1OfReal Class Reference

`#include <PDataStd_VArrayNodeOfFieldOfHArray1OfHArray1OfReal.hxx>`

Inheritance diagram for PDataStd_VArrayNodeOfFieldOfHArray1OfHArray1OfReal:

[legend]

## Public Member Functions
Standard_EXPORT | PDataStd_VArrayNodeOfFieldOfHArray1OfHArray1OfReal ()
Standard_EXPORT | PDataStd_VArrayNodeOfFieldOfHArray1OfHArray1OfReal (const Handle(PColStd_HArray1OfReal)&aValue)
Standard_EXPORT void | SetValue (const Handle(PColStd_HArray1OfReal)&aValue)
Standard_EXPORT Standard_Address | Value () const
| PDataStd_VArrayNodeOfFieldOfHArray1OfHArray1OfReal (const Storage_stCONSTclCOM &a)
| Handle (PColStd_HArray1OfReal) _CSFDB_GetPDataStd_VArrayNodeOfFieldOfHArray1OfHArray1OfRealmyValue() const
void | _CSFDB_SetPDataStd_VArrayNodeOfFieldOfHArray1OfHArray1OfRealmyValue (const Handle(PColStd_HArray1OfReal)&p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_PColStd_HArray1OfReal | myValue

## Constructor & Destructor Documentation

Standard_EXPORT PDataStd_VArrayNodeOfFieldOfHArray1OfHArray1OfReal::PDataStd_VArrayNodeOfFieldOfHArray1OfHArray1OfReal | ( |  | ) |

Standard_EXPORT PDataStd_VArrayNodeOfFieldOfHArray1OfHArray1OfReal::PDataStd_VArrayNodeOfFieldOfHArray1OfHArray1OfReal | ( | const Handle(PColStd_HArray1OfReal)& | aValue | ) |

PDataStd_VArrayNodeOfFieldOfHArray1OfHArray1OfReal::PDataStd_VArrayNodeOfFieldOfHArray1OfHArray1OfReal | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

void PDataStd_VArrayNodeOfFieldOfHArray1OfHArray1OfReal::_CSFDB_SetPDataStd_VArrayNodeOfFieldOfHArray1OfHArray1OfRealmyValue | ( | const Handle(PColStd_HArray1OfReal)& | p | ) | `[inline]`

Standard_EXPORT const PDataStd_VArrayNodeOfFieldOfHArray1OfHArray1OfReal::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PStandard_ArrayNode.

PDataStd_VArrayNodeOfFieldOfHArray1OfHArray1OfReal::Handle | ( | PColStd_HArray1OfReal |  | ) | const`[inline]`

Standard_EXPORT void PDataStd_VArrayNodeOfFieldOfHArray1OfHArray1OfReal::SetValue | ( | const Handle(PColStd_HArray1OfReal)& | aValue | ) |

Standard_EXPORT Standard_Address PDataStd_VArrayNodeOfFieldOfHArray1OfHArray1OfReal::Value | ( |  | ) | const

## Field Documentation

Handle_PColStd_HArray1OfReal PDataStd_VArrayNodeOfFieldOfHArray1OfHArray1OfReal::myValue`[private]`

The documentation for this class was generated from the following file:

- PDataStd_VArrayNodeOfFieldOfHArray1OfHArray1OfReal.hxx